This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981891 - Upgrade should be possible without keyboard
Upgrade should be possible without keyboard
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 14:47 EDT by Joergen Thomsen
Modified: 2015-10-05 10:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:54:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jth: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Joergen Thomsen 2013-07-06 14:47:32 EDT
Description of problem:

According to the installation guide it is not possible to upgrade Fedora without having access to a physical keyboard and screen.
As we initially install the servers locally with keyboard and screen, but afterwards use them in an environment with only network access, this is rather inconvenient. 
It should only be needed to dismount and return them to the lab in case of failed updates for some reason.



Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. use fedup to upgrade
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Patrick Pichon 2013-08-20 04:05:33 EDT
I would add that FedUp should be able to run on a head-less system. So a full remote Fedora Uprade should be possible.

Enablig vnc could be a way
Comment 2 Will Woods 2013-12-06 17:06:15 EST
As far as I know, nothing prevents you from running fedup on remote or headless systems.

I've tested it on remote systems. There's no network access during the upgrade, but the upgrade itself works fine. If there's an error during the upgrade the system should immediately reboot back into the old system.

So.. what's the bug, here?
Comment 3 Joergen Thomsen 2013-12-07 19:37:27 EST
1) If that is so the documentation should reflect it.
2) A recent upgrade on a FC18 system was stuck because the Network Manager (which had been disabled) messed up things and disabled the network access
Comment 4 Will Woods 2013-12-09 10:24:43 EST
1) What documentation is this? Can you provide a link?
2) That's a problem with NetworkManager, then, not fedup; please file/track that separately.
Comment 5 Fedora End Of Life 2015-01-09 13:43:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:54:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.